Class | Nokogiri::XML::SyntaxError
In: | lib/nokogiri/ffi/xml/syntax_error.rb lib/nokogiri/xml/syntax_error.rb ext/nokogiri/html_document.c
Parent: | ::Nokogiri::SyntaxError

The XML::SyntaxError is raised on parse errors

### Methods

code column domain error? fatal? file int1 level line message none? str1 str2 str3 warning?

### External Aliases

message | -> | inspect
message | -> | to_s
column | -> | int2
message | -> | to_s

### Public Instance methods

code

Get the error code

column

Column number or 0 if not available

domain

Get the part of the library that raised this exception

error?()

return true if this is an error

fatal?()

return true if this error is fatal

file

Get the filename for the error

int1

Extra number information

level

Get the error level

line

Get the line number of the error

message

Get the human readable message.

none?()

return true if this is a non error

str1

Extra string information

str2

Extra string information

str3

Extra string information

warning?()

return true if this is a warning

[Validate]